<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

function atualizaDisciplina ($_identificacao,
							$_numero,
						   	$_disciplina,
						   	$_qtdAulas,
						   	$_ouAulas,
						   	$_dbh)
{
	if( $_ouAulas == '' )
		$_ouAulas = 'null';
		
	$sql2 = "UPDATE mat_matrizcurricular_disciplina SET
		
			codseqdisciplina = $_numero,
			iddisciplina = $_disciplina,
			qtdhorassemana = $_qtdAulas,
			codseqdisciplinaou = $_ouAulas
			
			WHERE codmatrizcurricular = $_identificacao
		
	";
	$result = executaQuery($_dbh, $sql2);
	
	if (!$result)
	{
	   return false;
	}
	
	$sql = cleanSql($sql);
	$textoScript .= $sql . ';';

	return true;
}